<?php
error_reporting(0);
include('../start.php');
include("../config.php");
include("../includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime()); 
$headtime = $sec + $msec;
$ttl="Правила VIP'ов";
$ref = rand(1000, 9999);


switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";

echo "<b>VIP обязан:</b><br/>\n";
echo "1. Соблюдать общие правила чата.<br/>\n";
echo "2. Помогать разрешать конфликты между участниками чата.<br/>\n";
echo "3. VIP должен быть беспристрастным.<br/>\n";
echo "4. Блокировать пользователей за нарушение правил:<br/>\n";
echo "4.1. За легкий мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, <b>то необходимо просто сделать предупреждение.</b><br/>\n";
echo "4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый звездочками (*) не следует игнорировать.<br/>\n";
echo "4.3. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>
Во всех остальных случаях возможна блокировка пользователя на максимально возможное время.<br/>\n";
echo "<br/><b>Запрещается:</b><br/>\n";
echo "1. Создавать конфликты между участниками чата и другими VIP'ами.<br/>\n";
echo "2. Блокировать других VIP'ов и Администраторов.<br/>При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>\n";
echo "3. Делать объявления пользователям от имени Администрации чата.<br/>\n";
echo "4. Категорически запрещается использовать должность в личных целях.<br/>\n";
echo "5. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/><br/>\n";
echo "При нарушении этих правил VIP будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Следует помнить, что действия всех VIP'ов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>\n";
echo "• <a href=\"../menu.php?".SID."&amp;ver=wml\">В прихожую</a><br/>\n";
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

echo '<div class="d1">';
echo "<b>VIP обязан:</b><br/>\n";
echo'</div>';
echo "1. Соблюдать общие правила чата.<br/>\n";
echo "2. Помогать разрешать конфликты между участниками чата.<br/>\n";
echo "3. VIP должен быть беспристрастным.<br/>\n";
echo "4. Блокировать пользователей за нарушение правил:<br/>\n";
echo "4.1. За легкий мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, <b>то необходимо просто сделать предупреждение.</b><br/>\n";
echo "4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый звездочками (*) не следует игнорировать.<br/>\n";
echo "4.3. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>
Во всех остальных случаях возможна блокировка пользователя на максимально возможное время.<br/>\n";
echo '<div class="d1">';
echo "<b>Запрещается:</b><br/>\n";
echo'</div>';
echo "1. Создавать конфликты между участниками чата и другими VIP'ами.<br/>\n";
echo "2. Блокировать других VIP'ов и Администраторов.<br/>При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>\n";
echo "3. Делать объявления пользователям от имени Администрации чата.<br/>\n";
echo "4. Категорически запрещается использовать должность в личных целях.<br/>\n";
echo "5. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/><br/>\n";
echo "При нарушении этих правил VIP будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Следует помнить, что действия всех VIP'ов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>\n";

echo '<div class="d1">';
echo "• <a href=\"../menu.php?".SID."&amp;ver=html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>